## benchmark 0.3-2

=== DESCRIPTION ===
Package: benchmark
Type: Package
Title: Benchmark Experiments Toolbox
Version: 0.3-2
Date: 2011-02-09
Author: Manuel J. A. Eugster <manuel.eugster@stat.uni-muenchen.de>
Maintainer: Manuel J. A. Eugster <manuel.eugster@stat.uni-muenchen.de>
Depends: utils, proto, ggplot2, reshape, relations
Suggests: coin, multcomp, lme4, e1071, entropy, archetypes, Rgraphviz
Description: The benchmark package provides a toolbox for setup,
        execution and analysis of benchmark experiments. Main focus is
        the analysis of data accumulating during the execution -- one
        primary objective is the statistical correct computation of the
        candidate algorithms' order.
License: GPL (>= 2)
Revision: 59
LazyLoad: false
LazyData: true
Collate: 'algperf-beplot0.R' 'testprocedure.R' 'proto.R'
        'algperf-paircomp.R' 'algperf-preference.R'
        'algperf-visualizations.R' 'warehouse.R' 'algperf.R'
        'as.warehouse.R' 'benchmark.R' 'bsgraph.R' 'bsplot.R'
        'datachar-visualizations.R' 'dataset-characteristics.R'
        'dataset.R' 'dataset-characterization.R' 'testres-analysis.R'
        'testres-visualizations.R'
Packaged: 2011-02-09 15:29:57 UTC; vadmin
Repository: CRAN
Date/Publication: 2011-02-10 06:52:54
