## benchmark 0.3-4

=== DESCRIPTION ===
Package: benchmark
Type: Package
Title: Benchmark Experiments Toolbox
Version: 0.3-4
Date: 2012-03-15
Author: Manuel J. A. Eugster <manuel.eugster@stat.uni-muenchen.de>
Maintainer: Manuel J. A. Eugster <manuel.eugster@stat.uni-muenchen.de>
Depends: R (>= 2.10), utils, proto, ggplot2, reshape, relations,
        psychotools
Imports: scales
Suggests: coin, multcomp, lme4, e1071, entropy, archetypes, Rgraphviz,
        psychotree
Description: The benchmark package provides a toolbox for setup,
        execution and analysis of benchmark experiments. Main focus is
        the analysis of data accumulating during the execution -- one
        primary objective is the statistical correct computation of the
        candidate algorithms' order.
License: GPL (>= 2)
URL: http://benchmark.r-forge.r-project.org/
Collate: 'algperf-beplot0.R' 'testprocedure.R' 'proto.R'
        'algperf-paircomp.R' 'algperf-preference.R'
        'algperf-visualizations.R' 'warehouse.R' 'algperf.R'
        'as.psychobench.R' 'as.warehouse.R' 'benchmark.R' 'bsgraph.R'
        'bsplot.R' 'datachar-visualizations.R'
        'dataset-characteristics.R' 'dataset.R'
        'dataset-characterization.R' 'testres-analysis.R'
        'testres-visualizations.R'
Packaged: 2012-03-16 08:28:24 UTC; meugster
Repository: CRAN
Date/Publication: 2012-03-16 08:53:45
