## benchmark 0.3-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Package: benchmark
 Type: Package
 Title: Benchmark Experiments Toolbox
-Version: 0.3-4
-Date: 2012-03-15
-Author: Manuel J. A. Eugster <manuel.eugster@stat.uni-muenchen.de>
-Maintainer: Manuel J. A. Eugster <manuel.eugster@stat.uni-muenchen.de>
+Version: 0.3-5
+Date: 2012-12-03
+Authors@R: c(person("Manuel", "J. A. Eugster", role = c("aut", "cre"),
+        email = "manuel.eugster@stat.uni-muenchen.de"))
 Depends: R (>= 2.10), utils, proto, ggplot2, reshape, relations,
-        psychotools
-Imports: scales
+        psychotools, scales
 Suggests: coin, multcomp, lme4, e1071, entropy, archetypes, Rgraphviz,
         psychotree
 Description: The benchmark package provides a toolbox for setup,
@@ -25,6 +24,8 @@
         'dataset-characteristics.R' 'dataset.R'
         'dataset-characterization.R' 'testres-analysis.R'
         'testres-visualizations.R'
-Packaged: 2012-03-16 08:28:24 UTC; meugster
+Packaged: 2012-12-03 10:46:36 UTC; eugstem1
+Author: Manuel J. A. Eugster [aut, cre]
+Maintainer: Manuel J. A. Eugster <manuel.eugster@stat.uni-muenchen.de>
 Repository: CRAN
-Date/Publication: 2012-03-16 08:53:45
+Date/Publication: 2012-12-03 12:08:07
