=== debian/changelog ===
benchmark (1.3.0-2) unstable; urgency=medium

  [ Robert Guo ]
  * [c65f0ab] Use STCK to get the CPU clock on s390x. (Closes: #881736)

  [ Anton Gladky ]
  * [3245571] Update d/watch
  * [c64ac86] Use pkg-info.mk for extracting Upstream version
  * [656070d] Set Standards-Version: 4.1.3
  * [3282de0] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Thu, 08 Mar 2018 21:10:48 +0100

benchmark (1.3.0-1) unstable; urgency=medium

  * Initial upload. (Closes: #881378)

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Nov 2017 10:21:55 +0100
