=== debian/tests/control ===
Tests: all
Depends: libbenchmark-dev, build-essential
Restrictions: allow-stderr
