## benchmark 1.4.1

=== debian/changelog ===
benchmark (1.4.1-3) unstable; urgency=medium

  [ Anton Gladky ]
  * [d0feebb] Install *.a files. (Closes: #912078)
  * [b64af1c] Fix error in d/copyright. (Closes: #912653)

  [ John David Anglin ]
  * [151eb89] Fix compilation on hppa. (Closes: #910606)

 -- Anton Gladky <gladk@debian.org>  Sun, 18 Nov 2018 00:03:07 +0100

benchmark (1.4.1-2) unstable; urgency=medium

  * [f17dafe] Fix tests for the s390 arch
  * [67da8cd] Disable temporarily two tests, failing on mips

 -- Anton Gladky <gladk@debian.org>  Sun, 21 Oct 2018 13:49:45 +0200

benchmark (1.4.1-1) unstable; urgency=medium

  * [482a6f3] Update VCS-fields
  * [3df809d] Set Standards-Version to 4.2.1
  * [9562e08] Add gmock and gtest as a build-depends
  * [4465821] New upstream version 1.4.1
  * [2d86da7] Refresh patch, remove old one

 -- Anton Gladky <gladk@debian.org>  Mon, 08 Oct 2018 09:55:44 +0200
