=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Section: libs
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10)
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/benchmark.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/benchmark.git
+               debhelper (>= 10),
+               libgmock-dev,
+               libgtest-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/benchmark
+Vcs-Git: https://salsa.debian.org/science-team/benchmark.git
 Homepage: https://github.com/google/benchmark
 
 Package: libbenchmark-dev
