## benchmark 1.5.0

=== debian/changelog ===
benchmark (1.5.0-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:10:41 +0100

benchmark (1.5.0-4) unstable; urgency=medium

  * Cherry-pick RISC-V patch from upstream for riscv64 support.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 28 Nov 2019 17:27:24 +0100

benchmark (1.5.0-3) unstable; urgency=medium

  * Build in release mode so that timings are not affected. (Closes: #941279)
  * Set upstream metadata fields: Repository.
  * libbenchmark-dev: include the README file in
    /usr/share/doc/libbenchmark-dev

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 27 Nov 2019 11:51:49 +0100

benchmark (1.5.0-2) unstable; urgency=medium

  * [262160d] Disable some tests, failing on mipsel

 -- Anton Gladky <gladk@debian.org>  Mon, 23 Sep 2019 21:15:31 +0200

benchmark (1.5.0-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * [5568a99] New upstream version 1.5.0
  * [8f0e28b] debhelper-compat 12
  * [5d33c05] Standards-Version: 4.4.0
  * [95d65ff] Apply patch from upstream so we can specify the location
              of Debian's googletest source
  * [cf849ee] Set upstream metadata fields: Name.
  * [8f89de1] use Debian's copy of googletest
  * [d02264a] cmake files are now in /usr/lib/*/cmake/benchmar
  * [13b785e] use pkg-config in autopkgtest
  * [4191c2b] libbenchmark-tools is Multi-Arch: foreign
  * [b328ed4] avoid g++-9 bug

  [ Anton Gladky ]
  * [77c8a77] Add Michael as an uploader
  * [a9d43d4] Remove obsolete fields Name from debian/upstream/metadata.

 -- Anton Gladky <gladk@debian.org>  Sun, 22 Sep 2019 22:21:38 +0200
