=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: benchmark
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>, Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                libgmock-dev,
-               libgtest-dev
-Standards-Version: 4.2.1
+               googletest
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/benchmark
 Vcs-Git: https://salsa.debian.org/science-team/benchmark.git
 Homepage: https://github.com/google/benchmark
@@ -35,6 +35,7 @@
  This package contains the shared library.
 
 Package: libbenchmark-tools
+Multi-Arch: foreign
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
