=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,6 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DGIT_VERSION="$(DEB_VERSION_UPSTREAM)"
+	dh_auto_configure -- -DGIT_VERSION="$(DEB_VERSION_UPSTREAM)" \
+		-DGOOGLETEST_PATH=/usr/src/googletest \
+		-DCMAKE_BUILD_TYPE=Release -DBENCHMARK_ENABLE_LTO=true
