## benchmark 1.5.1

=== debian/changelog ===
benchmark (1.5.1-1) unstable; urgency=medium

  * [00ce51f] New upstream version 1.5.1
  * [e620882] Refresh patches
  * [0359951] Add --buildsystem=cmake to d/rules
  * [666ae4d] Set upstream metadata fields: Bug-Database, Bug-Submit,
              Repository, Repository-Browse.
  * [5ec0f74] Update standards version to 4.5.0, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Sat, 13 Jun 2020 22:46:45 +0200
