=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper-compat (= 12),
                libgmock-dev,
                googletest
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/benchmark
 Vcs-Git: https://salsa.debian.org/science-team/benchmark.git
 Homepage: https://github.com/google/benchmark
