=== debian/changelog ===
benchmark (1.5.2-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/fix-missing-symbols-in-static.patch:
    Work around -flto bug, fix courtesy Kentaro Hayashi
    Closes: #968461
  * Mark libbenchmark-dev as Multi-Arch: same as per the Multiarch
    hinter.
  * Standards-Version: 4.5.1 (routine-update)
  * Modernize debian/watch.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 23 Nov 2020 10:40:57 +0100

benchmark (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 10 Oct 2020 18:09:32 +0200
