=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Section: libs
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libgmock-dev,
                googletest
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/benchmark
 Vcs-Git: https://salsa.debian.org/science-team/benchmark.git
 Homepage: https://github.com/google/benchmark
+Rules-Requires-Root: no
 
 Package: libbenchmark-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libbenchmark1 (= ${binary:Version}),
          ${misc:Depends}
