=== debian/tests/control ===
Tests: all static
Depends: libbenchmark-dev, build-essential, pkg-config, g++-8
Restrictions: allow-stderr
